<?php

require_once("../gestion_pds/config_pds.php");
require_once("../gestion_pds/fonctions.php");
echo '<?xml version="1.0" encoding="utf-8"?>';
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
  <head>
    <title><?php echo TITRE_SITE; ?></title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta http-equiv="Content-Style-Type" content="text/css" />
    <link href="<?php echo URL_SCRIPT; ?>/gestion_pds/style.css" type="text/css" rel="stylesheet" />
    <script type="Text/Javascript" src="<?php echo URL_SCRIPT; ?>/gestion_pds/pds-pertinence.js" ></script>
  </head>

<body>
<div class="administration">
<?php
//On regarde si l'administrateur est loggé
if (!isset ($_POST['valider']) and ( !isset ($_SESSION['pseudo_webmaster']) or !isset ($_SESSION['password_webmaster']) or ($_SESSION['pseudo_webmaster']!=PSEUDO_WEBMASTER) or ($_SESSION['password_webmaster']!=PASSWORD_WEBMASTER))){
//On affiche le formulaire d'identification
?>
Pour accéder à l'administration, vous devez vous identifier:<br /><br />
<form action="<?php echo htmlentities($_SERVER['PHP_SELF']); ?>" method="post">

<fieldset class="fieldset">
Pseudo:<br />
<input type="text" name="pseudo" class="input" /><br />
Votre mot de passe:<br />
<input type="password" name="password" class="input"/><br /><br
<input type="hidden" name="identification" value="identification_conf" />
<input type="submit" name="valider" value="Identification" class="input" /><br /><br />
</fieldset>
</form>
<br /><br />
<?php
//On supprime d'éventuelles sessions avec les mauvais identifiants
unset ($_SESSION['pseudo_webmaster']);
unset ($_SESSION['password_webmaster']);
}
else if (isset ($_POST['valider']) and ($_POST['valider']==="Identification")){
//le formulaire d'identification a été validé, on vérifie les infos
$pseudo=mysql_real_escape_string($_POST['pseudo']);
$password=mysql_real_escape_string($_POST['password']);

	if (empty ($pseudo) or empty ($password) or !isset ($pseudo) or !isset ($password)){
	//Erreur, on redirige
	?>
	<script type="text/javascript">
	alert('Vous devez indiquer un pseudo et un mot de passe!')
	document.location.href="<?php echo htmlentities($_SERVER['PHP_SELF']); ?>"
	</script>
	<?php
	}
	else{
	//On regarde si le pseudo et le mot de passe correspondent
		if (($pseudo!=PSEUDO_WEBMASTER) or ($password!=PASSWORD_WEBMASTER)){
		//Erreur, on redirige
		?>
		<script type="text/javascript">
		alert('Erreur lors de votre identification')
		document.location.href="<?php echo htmlentities($_SERVER['PHP_SELF']); ?>"
		</script>
		<?php
		}
		else{
		//C'est bon, on créé les sessions et on redirige
		$_SESSION['pseudo_webmaster']=$pseudo;
		$_SESSION['password_webmaster']=$password;
		?>
		<script type="text/javascript">
		alert('Vous êtes désormais identifié!')
		document.location.href="<?php echo htmlentities($_SERVER['PHP_SELF']); ?>"
		</script>
		<?php
		}
	}
}
else{
//On affiche les infos d'administration
?>
<a href="<?php echo htmlentities($_SERVER['PHP_SELF']); ?>?action=ajouter" title="Cliquez ici pour ajouter une pertinence">Ajouter une pertinence</a> || <a href="<?php echo htmlentities($_SERVER['PHP_SELF']); ?>?action=voir" title="Cliquez ici pour voir les pertinences">Voir les pertinences</a> || <a href="<?php echo htmlentities($_SERVER['PHP_SELF']); ?>?action=options" title="Cliquez ici pour voir les options">Options</a> || <a href="<?php echo htmlentities($_SERVER['PHP_SELF']); ?>?action=erreurs" title="Cliquez ici pour voir les erreurs Mysql">Erreurs SQL</a> || <a href="<?php echo htmlentities($_SERVER['PHP_SELF']); ?>?action=divers" title="Divers">Divers</a><br /><br />
<?php
	if (isset ($_GET['action']) and ($_GET['action']==="ajouter")){
	?>
	Pour ajouter une pertinence, remplissez le formulaire ci dessous:<br /><br />
	<form action="<?php echo htmlentities($_SERVER['PHP_SELF']); ?>?action=ajouter" method="post">
	<fieldset style="border:0px">
	Indiquez le titre de la pertinence:<br />
	<input type="text" name="titre_pertinence" class="input" /><br /><br />
	<input type="submit" name="ajouter_pertinence" value="Ajouter la pertinence" class="input" /><br /><br />
	</fieldset>
	</form>
	<?php
		if (isset ($_POST['ajouter_pertinence'])){
		//On vérifie que tous les champs sont remplis
			if (empty ($_POST['titre_pertinence'])){
			?>
			<span class="requis">
			Vous devez remplir tous les champs
			</span>
			<?php
			}
			else{
			$titre_pertinence=mysql_real_escape_string($_POST['titre_pertinence']);
			//On insère les données
			$insertion="insert into pds_pertinence values ('','$titre_pertinence', 0,0,0)";
			$sql_insertion=mysql_query($insertion) or die ("Erreur! Merci de prévenir le webmaster d'une erreur n°7!");
			?>
			<span class="bon">
			La pertinence a bien été ajoutée. Vous pouvez connaitre l'id qui lui a été attribuée en cliquant <a href="<?php echo htmlentities($_SERVER['PHP_SELF']); ?>?action=voir" title="Cliquez ici pour voir les pertinences">ici</a>.
			</span>
			<?php
			}
		}
	}
	else if (isset ($_GET['action']) and ($_GET['action']==="voir")){
	//On regarde si une pertinence est supprimée
		if (isset ($_GET['supprimer'])){
		//On supprime la pertinence
		$delete="delete from pds_pertinence where id_pertinence='$_GET[supprimer]'";
		$sql_delete=mysql_query($delete) or die ("Erreur! Merci de prévenir le webmaster d'une erreur d'une erreur n°8!");
		?>
		<span class="bon">La pertinence a bien été supprimée!</span><br /><br />
		<?php
		}

	//On regarde si on remet à zéro une pertinence
		if (isset ($_GET['remise_zero'])){
		//On remet à zéro la pertinence
		$update="update pds_pertinence set pertinence=0 where id_pertinence='$_GET[remise_zero]'";
		$sql_update=mysql_query($update) or die ("Erreur! Merci de prévenir le webmaster d'une erreur d'une erreur n°9!");
		?>
		<span class="bon">La pertinence a bien été remise à zéro!</span><br /><br />
		<?php
		}


	//On séléctionne les pertinences
	$selection="select * from pds_pertinence";
	$sql_selection=mysql_query($selection) or die ("Erreur! Merci de prévenir le webmaster d'une erreur d'une erreur n°10!");
	//On affiche le tableau des pertinences
	?>
	<table class="tableau">
		<tr>
			<td>
			Titre de la pertinence
			</td>
			<td>
			ID de la pertinence
			</td>
			<td>
			Pertinence actuelle
			</td>
			<td>
			Nombre de votes
			</td>
			<td>
			Dernier vote
			</td>
			<td>
			Remise à zéro
			</td>
			<td>
			Supprimer
			</td>
		</tr>
		<?php
		//On affiche toutes les pertinences
		while ($a_row=mysql_fetch_assoc($sql_selection)){
		//On détermine la couleur du tableau
			if (!isset ($couleur) || $couleur==="#f1f1f1"){
			$couleur="#ffffff";
			}
			else{
			$couleur="#f1f1f1";
			}
		?>
		<tr style="background-color:<?php echo $couleur; ?>">
			<td>
			<?php echo $a_row['titre_pertinence']; ?>
			</td>
			<td>
			<?php echo $a_row['id_pertinence']; ?>
			</td>
			<td>
			<?php
			//On regarde quelle est la pertinence pour l'afficher de la bonne couleur
				if ($a_row['pertinence']<0){
				//Note inférieure à zéro, on l'afiche en rouge
				echo '<span class="requis">'.$a_row['pertinence'].'</span>';
				}
				else if ($a_row['pertinence']>0){
				//Note supérieure à zéro, on l'affiche en vert
				echo '<span class="bon">+'.$a_row['pertinence'].'</span>';
				}
				else{
				//Note égale à zéro, on ne change pas la couleur
				echo '<span>'.$a_row['pertinence'].'</span>';
				}
			?>
			</td>
			<td>
			<?php echo $a_row['nbre_votes']; ?>
			</td>
			<td>
			<?php echo $a_row['dernier_vote']; ?>
			</td>
			<td>
			<a href="<?php echo htmlentities($_SERVER['PHP_SELF']); ?>?action=voir&remise_zero=<?php echo $a_row['id_pertinence']; ?>" title="Remettre à zéro" onclick="javascript:return confirm('Etes vous sûr de vouloir remettre à zéro cette pertinence?')">Remise à zéro</a>
			</td>
			<td>
			<a href="<?php echo htmlentities($_SERVER['PHP_SELF']); ?>?action=voir&supprimer=<?php echo $a_row['id_pertinence']; ?>" title="Supprimer cette pertinence" onclick="javascript:return confirm('Etes vous sûr de voloir supprimer cette pertinence?')">Supprimer</a>
			</td>
		</tr>
		<?php
		}
		?>
	</table>
	<?php
	}
	else if (isset ($_GET['action']) and ($_GET['action']==="options")){
	?>
	Vous ne pouvez pas modifier directement les options du script. Vous devez les modifier directement via le fichier config_pds.php. <br />Voici néanmoins un rappel des options du script:<br /><br />
	Titre de votre site: <span class="requis"><?php echo TITRE_SITE; ?></span><br />
	Url de votre site: <span class="requis"><?php echo URL_SITE; ?></span><br />
	Url du script: <span class="requis"><?php echo URL_SCRIPT; ?></span><br /><br />
	Autoriser les votes multiples: <span class="requis"><?php echo VOTES_MULTIPLES; ?></span><br /><br />
	D'autres options sont susceptibles d'êtres ajoutées au fur et à mesure des mises à jour du script.
	<?php
	}
	else if (isset ($_GET['action']) and ($_GET['action']==="erreurs")){
	?>
	Voici la liste des erreurs SQL possibles sur le script ainsi que la page et la ligne correspondante. cela vous permet de cibler le problème au cas ou un de vos visiteurs vous en signale une.<br /><br />
	Le script a bien sur été débuggé mais malgré tout, des erreurs restent toujours possibles. Si vous détectez une erreur grave, merci de le signaler via le forum du site <a href="http://www.plusdescripts.fr" title="Plus de scripts">Plus de scripts</a> afin qu'une nouvelle version corrigeant cette erreur soit élaborée<br /><br />
	<table class="tableau_erreurs">
		<tr>
			<td>
			N° d'erreur
			</td>
			<td>
			Fichier
			</td>
			<td>
			Ligne
			</td>
		</tr>
		<tr style="background-color:#ffffff">
			<td>
			1
			</td>
			<td>
			gestion_pds/fonctions.php
			</td>
			<td>
			7
			</td>
		</tr>
		<tr>
			<td>
			2
			</td>
			<td>
			gestion_pds/fonctions.php
			</td>
			<td>
			36
			</td>
		</tr>
		<tr style="background-color:#ffffff">
			<td>
			3
			</td>
			<td>
			gestion_pds/ajouter_pertinence.php
			</td>
			<td>
			17
			</td>
		</tr>
		<tr>
			<td>
			4
			</td>
			<td>
			gestion_pds/ajouter_pertinence.php
			</td>
			<td>
			21
			</td>
		</tr>
		<tr style="background-color:#ffffff">
			<td>
			5
			</td>
			<td>
			gestion_pds/ajouter_pertinence.php
			</td>
			<td>
			26
			</td>
		</tr>
		<tr>
			<td>
			6
			</td>
			<td>
			gestion_pds/ajouter_pertinence.php
			</td>
			<td>
			53
			</td>
		</tr>
		<tr style="background-color:#ffffff">
			<td>
			7
			</td>
			<td>
			admin/index.php
			</td>
			<td>
			107
			</td>
		</tr>
		<tr>
			<td>
			8
			</td>
			<td>
			admin/index.php
			</td>
			<td>
			121
			</td>
		</tr>
		<tr style="background-color:#ffffff">
			<td>
			9
			</td>
			<td>
			admin/index.php
			</td>
			<td>
			131
			</td>
		</tr>
		<tr>
			<td>
			10
			</td>
			<td>
			admin/index.php
			</td>
			<td>
			140
			</td>
		</tr>
	</table>
	<?php
	}
	else if (isset ($_GET['action']) and ($_GET['action']==="divers")){
	?>
	Ce script a été réalisé par le site <a href="http://www.plusdescripts.fr" title="Plus de scripts">Plus de scripts</a><br /><br />
	Il est utilisable gratuitement et sans aucune contrepartie. Néanmoins, si vous avez modifié, le script, un petit email fait toujours plaisir!<br /><br />
	Si vous avez aimé le script, merci de laisser un petit mot sur notre livre d'or!<br /><br />
	Pour toute question ou suggestion sur ce script, contactez nous via le forum du site!<br /><br />
	Pour vous tenir informé de toute nouvelle version du script, vous pouvez vous inscrire à notre news letter<br /><br />
	<form id="newsmail" name="newsmail" method="post" action="http://www.hawatools.com/service-newsletter/	inscription-11113-2264.html">
	<input type="hidden" name="mod" value="isc" />
	<input type="text" name="emailvisiteur" size="30" maxlength="50" value="Adresse e-mail" 		onfocus="javascript:if(this.value == 'Adresse e-mail') this.value='';" onblur="javascript:if(this.value == '') 	this.value='Adresse e-mail';" class="input" />
	<input type="submit" value="Valider" class="input"/></td>
	</form>
	<?php
	}
	else{
	//Par defaut
	?>
	Choisissez une  action via le menu ci dessus.
	<?php
	}
}
?>
</div>
</body>

</html>
